// Find all linked projects
const projectPage = dv.page(input.file);
const tasks = projectPage.file.inlinks.where((p) => {
    const mp = dv.page(p.path);
    return mp.tags?.includes("process/task");
});

const totalProjectTasks = projectPage.file.tasks.length;

let totalTasks = 0;
tasks.values.reduce((acc, p) => {
    const mp = dv.page(p.path);
    const tasks = mp.file.tasks;

    totalTasks += tasks.length;
    return mp.file.tasks.length;
}, 0);

dv.span(totalProjectTasks + totalTasks);
